Subject: Re: [bug#70393] [PATCH] gnu: python-pydevd: Use gdb/pinned.

From: Christopher Baines <[email-masked]>
Date: Wed, 17 Apr 2024 14:43:10 +0100

Ludovic Courtès <[email-masked]> writes:

> Hi!
>
> Christopher Baines <[email-masked]> skribis:
>
>> To allow gdb to be updated more easily.
>>
>> * gnu/packages/python-xyz.scm (python-pydevd)[inputs]: Use gdb/pinned.
>>
>> Change-Id: Icf417f89933bc190bf4c0d869c199cfe50d463ef
>
> [...]
>
>> -      (inputs (list coreutils gdb procps))
>> +      (inputs (list coreutils gdb/pinned procps))
>>        (home-page "https://github.com/fabioz/PyDev.Debugger/")
>>        (synopsis "Python debugger")
>
> If PyDev uses GDB, then it’ll be stuck with an older version of GDB?
> Maybe that’s OK?  (I know nothing about PyDev and how it uses GDB so I
> can’t really judge whether it’s OK.)

I don't really know either, but at least this will allow updating gdb
without rebuilding a bunch of Python things.